package cn.superdesk.uniorder.service.marketing;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirt;
import cn.superdesk.uniorder.dto.param.marketing.UnifiedStatisticsVirtQueryCriteria;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-09-06 12:00:09
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-09-06 12:00:09
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedStatisticsVirtDimMonthService extends BaseService<UnifiedStatisticsVirt> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(UnifiedStatisticsVirt entity);

    int updateByPrimaryKeySelective(UnifiedStatisticsVirt entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedStatisticsVirt findById(Long id);

	@Deprecated
	PageInfo<UnifiedStatisticsVirt> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedStatisticsVirt> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedStatisticsVirt(UnifiedStatisticsVirt entity);

	void updateUnifiedStatisticsVirt(UnifiedStatisticsVirt entity);

	void deleteUnifiedStatisticsVirt(Long id);

	UnifiedStatisticsVirt findUnifiedStatisticsVirtById(Long id);

	R<List<UnifiedStatisticsVirt>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<UnifiedStatisticsVirt>> pageQueryGenericParam(UnifiedStatisticsVirtQueryCriteria criteria);

	/****************************************** 统计 start ******************************************/

	void storeVirtOrderStatisticalDimMonth(UnifiedStatisticsVirt item, Integer year, Integer month);

	List<UnifiedStatisticsVirt> queryVirtOrderStatisticalDimMonth(Map<String, Object> queryMap);

}